	program	td_demo2
C
C	This demonstrates some of the TOPDRAWER routines
C
	CHARACTER*50	STRING
	REAL X(500),Y(500),DX(500),DY(500),Z(500),DZ(500)
	REAL XY(3),DXY(4),XYZARO(3,2),DARO(4),IARO(2)
	DATA	IARO/0,1/
	DATA	DXY/4*200./
	FAC=5.*360./400.			! Factor for spiral
C
C	GENERATE A SPIRAL
C
	DO 10 I	= 1,400
	THET	= I *FAC
	RADIUS	= (I-1)*.25
	X(I)	= RADIUS*SIND(THET)
	Y(I)	= RADIUS*COSD(THET)
	Z(I)	= THET
10	CONTINUE
c
c	Generate straight line
c
	XYZARO(3,2)	= thet
	XY(3)	= thet
	Do 15 I=1,10
	DY(400+I)= 10
	Z(400+I) = RADIUS*(5-I)/5.
	X(400+I) = RADIUS*(5-I)/5.
15	Y(400+I) = RADIUS*(5-I)/5.
	CALL	TDVAX_PLOT		! Initialize output (set up devices)
	type *,'DEMONSTRATION of TOPDRAWER subroutines'
	type *,'	3-d plots are generated'
	type *,'    Routines: TDJOIN,TDPLOT,TDHIST,TDTITL,TDSETS'
	type *,'    Set parameters are same as for TOPDRAWER SET command'
	type *,'       No Set parameter begins plot'
	type *,'       $ for continuous commands mode'
20	type *,'Textures are:  1,   2,     3,    4,    5,   6,    7'
	type *,'             Dot,Dash,Dotdsh,Solid,funny,patt,Daash'
	type '(''$Texture:'')'
	READ(5,'(I)',end=999,err=31) mode		! Plot mode
31	type *,'Colors are:  1,   2,     3,    4,      5,      6,     7'
	type *,'         White, Red, Green, Blue, Yellow, Magenta, Cyan'
	type '(''$Color:'')'
	READ(5,'(I)',end=999,err=32) Icolor		! Plot mode
32	TYPE '(''$Intensity (1-5):'')'
	READ(5,'(I)',end=999,err=33)INTENS
33 	Intens	= MIN(MAX(Intens,0),7)
 	icolor	= MIN(MAX(icolor,0),7)
 	mode	= MIN(MAX(mode,0),7)
	mode	= INTENS*8+mode*64+ICOLOR*512
	type *,'   Hist type is: 0-HIST, 1-BAR'
	type '(''$Hist type:'')'
	READ(5,'(I)',end=999,err=34) ityp
34	type '(''$Text options:'')'			! Ask for show info
	READ(5,'(A)',end=999,err=35)STRING		! Get defaults
35	CALL	TDJOIN(400,X,Y,DX,DY,1,mode,Z,DZ)		! Plot spiral
	CALL	TDPLT('0o',10,X(401),Y(401),DX,DY,mode,Z(401),DZ(401))	! Plot line
	CALL	TDHIST(10,X(401),Y(401),DX,DY,ITYP,MODE,Z(401),DZ(401))
	CALL	T2MAIN(IRET,'PLOT AXES')
	CALL	TDTEXT('top '//string,'Spiral',' ')	! Title at top
        CALL	TDTSET(3.,45.,0.,1)
	CALL	TDTITL('Tilted upper right',50.,50.)
	CALL	TDtitl('X arbitrary','B')			! bottom axis
	call	TDTEXT(string,'More text on the bottom',' ')	! Another line
	CALL	TDTEXT('left '//string,'Y arbitrary',' ')	! left axis
	CALL	TDTEXT('DATA CENTER ANGLE=45'//string
	1		,'Center',' ',X(1),Y(1),0)	! Title in data frame
	CALL	TDTEXT(string,'Lower left',' ',.5,.5)
	CALL	TDCRCL(XY,DXY,3,3,MODE)
	CALL	TDARRO(XYZARO,DARO,IARO)
	CALL	TDEND
	TYPE *,'Type "Return" to continue ^Z terminates'
	READ(5,'(A)',end=999,err=36)STRING		! Wait for caller
36	CALL	TDNEWP
	GO TO 20
999	CALL	TDNEWP
	STOP
	END
